Rated 5 out of 5 stars

I also use FF 10 and it says that is not working anymore .. but it works .. however .. do you update ..???

This review is for a previous version of the add-on (1.70.1-signed).